<?xml version='1.0'?>
<!DOCTYPE platform SYSTEM "http://simgrid.gforge.inria.fr/simgrid/simgrid.dtd">
<platform version="4">
  <AS id="AS0" routing="Vivaldi">
    <AS id="dataCenter1" routing="Full">
      <!-- 3 cabinets, no zone dist area, 1 horiz dist area, no multi-homing, telecom and operation rooms omitted -->
      <!-- cabinets -->
      <cluster id="cabinet1" prefix="cb1a-" suffix=".dc1.acloud.com" radical="1-40" speed="5.2297Gf"
               bw="125MBps" lat="100us" bb_bw="1.25GBps" bb_lat="100us"/>
      <cluster id="cabinet2" prefix="cb1b-" suffix=".dc1.acloud.com" radical="1-50" speed="5.2297Gf"
               bw="125MBps" lat="100us" bb_bw="1.25GBps" bb_lat="100us"/>
      <cluster id="cabinet3" prefix="cb1c-" suffix=".dc1.acloud.com" radical="1-30" speed="5.2297Gf"
               bw="125MBps" lat="100us" bb_bw="1.25GBps" bb_lat="100us"/>

      <link id="link_dc1_cb1" bandwidth="1.25GBps" latency="100us"/>
      <link id="link_dc1_cb2" bandwidth="1.25GBps" latency="100us"/>
      <link id="link_dc1_cb3" bandwidth="1.25GBps" latency="100us"/>

      <!-- horiz dist area switch, main dist area switch, entrance room switch, end point for ISP  -->
      <AS id="gw_dataCenter1" routing="Floyd">
        <!-- equipments-->
        <router id="gw_dc1_horizdist"/>
        <router id="gw_dc1_maindist"/>
        <router id="gw_dc1_entranceroom"/>

        <!-- ISP end point, entering the cloud, so it has coordinates -->
        <router id="router_dataCenter1" coordinates="25.5 9.4 1.4"/>

        <!-- links -->
        <link id="dc1_horizdist_maindist" bandwidth="1.25GBps" latency="100us"/>        
        <link id="dc1_maindist_entranceroom" bandwidth="1.25GBps" latency="100us"/>  
        <link id="dc1_entranceroom_ISP" bandwidth="1.25GBps" latency="100us"/> 

        <!-- links to router relationships -->
        <route src="gw_dc1_horizdist" dst="gw_dc1_maindist">
          <link_ctn id="dc1_horizdist_maindist"/>
        </route>
        <route src="gw_dc1_maindist" dst="gw_dc1_entranceroom">
          <link_ctn id="dc1_maindist_entranceroom"/>
        </route>
        <route src="gw_dc1_entranceroom" dst="router_dataCenter1">
          <link_ctn id="dc1_entranceroom_ISP"/>
        </route>
      </AS>

      <!-- internal routes between cabinets -->
      <ASroute src="cabinet2" dst="cabinet3" gw_src="cb2-cabinet2_router.dc1.acloud.com"
               gw_dst="cb3-cabinet3_router.dc1.acloud.com">
        <link_ctn id="link_dc1_cb2"/>
        <link_ctn id="link_dc1_cb3"/>
      </ASroute>
      <ASroute src="cabinet1" dst="cabinet3" gw_src="cb1-cabinet1_router.dc1.acloud.com"
               gw_dst="cb3-cabinet3_router.dc1.acloud.com">
        <link_ctn id="link_dc1_cb1"/>
        <link_ctn id="link_dc1_cb3"/>
      </ASroute>
      <ASroute src="cabinet1" dst="cabinet2" gw_src="cb1-cabinet1_router.dc1.acloud.com"
               gw_dst="cb2-cabinet2_router.dc1.acloud.com">
        <link_ctn id="link_dc1_cb1"/>
        <link_ctn id="link_dc1_cb2"/>
      </ASroute>
    </AS>
  </AS>
</platform>

